Subject: [bug#62960] [PATCH] gnu: cryptsetup: Update to 2.6.1.

From: Leo Famulari <[email-masked]>
Date: Sun, 23 Apr 2023 11:07:22 -0400

On Thu, Apr 20, 2023 at 01:38:52AM +0200, Jonathan Brielmaier wrote:
> Inspired by this blog post https://mjg59.dreamwidth.org/66429.html I
> wanted to upgrade my LUKS partition to version 2 and argon2id on my
> existing Guix System.
> 
> It seems a bit tricky. With the updated cryptsetup tool I cannot convert
> the LUKS partition of the running system ([email-masked] still allowed
> that). So I booted an Arch Livesystem and converted from there, but Guix
> System refuses to boot.
> It hangs in Grub console saying that cryptuuid could not be found.

You might need to check on which versions of cryptsetup GRUB is
compatible with. And also which cryptsetup features are supported by
GRUB.